{% extends 'base.html.twig' %}

{% block title %}Création d'une annonece{% endblock %}

{% form_theme form 'ad/_collection.html.twig' %}

{% block body %}

    <div class="container">
        <h1 class="my-5">Créer une nouvelle annonce</h1>

        {{ form_start(form) }}

        <div class="row">
            <div class="col">
                <div class="alert alert-light">
                    <h2>Informations générales</h2>
                    <hr>
                    {{ form_row(form.title) }}
                    {{ form_row(form.slug) }}
                    {{ form_row(form.price) }}
                    {{ form_row(form.rooms) }}
                </div>
                <div class="alert alert-light">
                    <h2>Détails de l'annonce</h2>
                    <hr>
                    {{ form_row(form.introduction) }}
                    {{ form_row(form.content) }}
                </div>
            </div>
            <div class="col">
                <div class="alert alert-light">
                    <h2>Images de l'annonce</h2>
                    <hr>
                    {{ form_row(form.coverImage) }}
                    {{ form_row(form.images) }}
                </div>
                <div class="alert alert-light">
                    <h2>Adresse de l'annonce</h2>
                    <hr>
                    {{ form_row(form.address) }}
                </div>
            </div>
        </div>

        <div class="alert alert-success clearfix">
            <h2 class="alert-heading">Sauvegarder mon annonce</h2>
            <p>Vous êtes sur le point de créer votre annonce, Je suis super fier de vous !</p>
            <button type="submit" class="btn btn-primary float-right animate-magic" data-animation="magic">
                <i class="fas fa-check"></i>
                Créer la nouvelle annonce
            </button>
        </div>

        {{ form_end(form) }}
    </div>

{% endblock %}

{% block javascripts %}

<script src="{{ asset('build/js/add.js') }}"></script>
<script src="{{ asset('build/js/animate-magic.js') }}"></script>

{% endblock %}